2011-05-27 John Adcock
Added Automated Documentation Generation

2011-03-21 John Adcock
Added 64 bit support

2009-05-16 narinder s claire
xlwDotNet support for .NET and C#.
New installer.
Creating of Template Projects.

2008-03-19 eric ehlers
support for Excel 2007

2006-11-26 mark joshi
a large number of changes for xlwplus

2003-03-08  jlecomte
	* xlw/XlfFuncDesc.cpp:
	* xlw/XlfFuncDesc.h:
	* xlwExample/xlwExample.cpp:
	* xlwExample/xlwExample.xls:
		Added recalcPolicy to let user register function as volatile (
		unconditionally recalculated). Note that default is still not volatile

	* TODO.txt:
		fixed since 1.2

2003-03-02  nando
	* xlw.dsp:
		english version of the dsp

2003-02-20  nando
	* xlwExample/xlwExample.vcproj:
		file xlwExample.vcproj was initially added on branch libXLL
		branch.

	* .cvsignore:
	* Docs/Setting up a project with libXLL.doc:
	* Docs/Setting up a project with libXLL.pdf:
	* Docs/excel97sdk.chm:
	* Docs/pages/download.txt:
	* Docs/pages/index.txt:
	* Docs/pages/install.txt:
	* READMELIBXLL.TXT:
	* xlfRegister.html:
	* xlw.dsp:
	* xlw.dsw:
	* xlw.mak:
	* xlw.sln:
	* xlw.vcproj:
	* xlw/XlfExcel.inl:
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
	* xlw/XlfOper.inl:
	* xlw/XllMain_c.h:
	* xlw/XllMain_c.h:
	* xlw/XllTypeLib.cpp:
	* xlw/XllTypeLib.h:
	* xlw/makefile.mak:
	* xlw/xlcall32.h:
	* xlw/xldata32.h:
	* xlw/xll.h:
	* xlwExample/xlwExample.mak:
	* xlwExample/xlwExample.mak:
	* xlwExample/xlwExample.vcproj:
		libXLL added

	* xlw/XllTypeLib.cpp:
		file XllTypeLib.cpp was initially added on branch libXLL-branch.

	* xlw.vcproj:
		file xlw.vcproj was initially added on branch libXLL-branch.

	* xlw/xll.h:
		file xll.h was initially added on branch libXLL-branch.

	* Docs/Setting up a project with libXLL.pdf:
		file Setting up a project with libXLL.pdf was initially added
		on branch libXLL-branch.

	* xlw.sln:
		file xlw.sln was initially added on branch libXLL-branch.

	* xlw/xldata32.h:
		file xldata32.h was initially added on branch libXLL-branch.

	* Docs/excel97sdk.chm:
		file excel97sdk.chm was initially added on branch libXLL-branch.

	* xlfRegister.html:
		file xlfRegister.html was initially added on branch libXLL
		branch.

	* Docs/Setting up a project with libXLL.doc:
		file Setting up a project with libXLL.doc was initially added
		on branch libXLL-branch.

	* READMELIBXLL.TXT:
		file READMELIBXLL.TXT was initially added on branch libXLL
		branch.

	* xlw/XllMain_c.h:
		file XllMain_c.h was initially added on branch libXLL-branch.

	* xlw/XllTypeLib.h:
		file XllTypeLib.h was initially added on branch libXLL-branch.

2003-02-10  nando
	* .cvsignore:
	* Docs/.cvsignore:
	* Docs/.cvsignore:
	* lib/Win32/VisualStudio/.cvsignore:
	* xlwExample/.cvsignore:
	* xlwExample/xll/Win32/VisualStudio/.cvsignore:
		added .cvsignore files

2003-02-07  nando
	* .cvsignore:
	* xlw.mak:
	* xlwExample/.cvsignore:
	* xlwExample/xlwExample.mak:
		cvsignore list of files

2002-07-24  nando
	* Docs/pages/index.txt:
	* Docs/xlw.doxy:
	* dev_tools/version_number.txt:
	* xlw.mak:
	* xlw.nsi:
	* xlw/EXCEL32_API.h:
	* xlwExample/xlwExample.mak:
		updated version number

2002-07-09  jlecomte
	* ChangeLog.txt:
	* Docs/pages/download.txt:
	* Docs/pages/gettingStarted.txt:
	* Docs/pages/history.txt:
	* Docs/pages/install.txt:
	* Docs/xlwfooter.html:
	* dev_tools/version_number.txt:
	* xlw/EXCEL32_API.h:
	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
	* xlw/XlfOper.cpp:
	* xlwExample/xlwExample.cpp:
		Merged update made for R010200f0

	* xlw/EXCEL32_API.h:
	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
	* xlw/XlfOper.cpp:
		Removed PORT_USING(std) in header. Various documentation fixes

	* Docs/images/doxygen.png:
		Fixed file corruption due to ascii manipulation

	* xlw/ERR_Macros.h:
		obsolete

	* Docs/xlwfooter.html:
		better proportions

	* xlwExample/xlwExample.cpp:
		Reformatted code so it looks nicer in the doc

	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
		Removed reference to log and ofstream

	* dev_tools/version_number.txt:
	* xlw/EXCEL32_API.h:
		Updated version number to 010200f0

	* Docs/pages/download.txt:
	* Docs/pages/gettingStarted.txt:
	* Docs/pages/history.txt:
	* Docs/pages/install.txt:
		Updated doc for new download link, new features and updated
		xlwExample.cpp

	* ChangeLog.txt:
		Mainly documentation fixes

2002-07-08  jlecomte
	* Docs/images/doxygen.png:
		Added doxygen logo

	* Docs/images/doxygen.png:
		previous version was corrupted when I checked it in as ascii

	* Docs/pages/history.txt:
	* Docs/pages/history.txt:
		Updated

	* Docs/images/doxygen.png:
	* Docs/xlwfooter.html:
		Merged last minute changes that were made to HEAD

	* Docs/xlwfooter.html:
		Now points to images directory. Refences new doxygen.png

2002-07-07  jlecomte
	* xlwExample/xlwExample.dsp:
		Copies xll and debug information to the $BIN directory (assumed
		to be defined)

	* xlw.dsw:
		Dependency flag helps in OnTheEdge build and does not hurt for
		other builds

	* ChangeLog.txt:
	* Docs/xlw.doxy:
	* History.txt:
	* NEWS.TXT:
	* dev_tools/version_number.txt:
	* xlw.nsi:
	* xlw/EXCEL32_API.h:
		Update for release 1.2.0a

2002-06-30  jlecomte
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
	* xlw/XlfOper.inl:
		Simplified interface: ConvertToXXX is now private, AsXXX now
		takes an int * to store the error code. If the pointer is null
		 an exception is thrown

2002-06-26  jlecomte
	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
	* xlw/XlfExcel.inl:
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
		Moved test for auxiliary memory from XlfOper to XlfExcel. 
		Cleaned up

	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
		Added IsCalledByFuncWiz

	* xlwExample/xlwExample.cpp:
	* xlwExample/xlwExample.xls:
		Added IsInWiz to demonstrate XlfExcel::IsCalledByFuncWiz

	* xlwExample/xlwExample.cpp:
		Amended IsInWiz to demonstrate how to retrieve the caller cell

2002-06-13  jlecomte
	* xlw/XlfOper.cpp:
		Fixed memory leak thanks to Ale

2002-06-11  jlecomte
	* xlw/XlfExcel.cpp:
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
		Fixed deletion of MS Excel data

2002-06-08  jlecomte
	* xlw/XlfException.cpp:
	* xlw/XlfException.h:
	* xlw/macros.h:
		Moved static error OPER constructor to XlfOper

	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
	* xlw/XlfOper.inl:
		Added ThrowOnError and Error. Added documentation

	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
	* xlw/XlfExcel.inl:
		Moved ThrowOnError to XlfOper. Made XlfBuffer private. Got rid
		of XlfExcelDestroyer (use xlAutoClose instead) and IsInitialize
		 Added documentation

	* xlw/XlfCmdDesc.cpp:
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
		Fixed big memory leak (forgot it in previous version's log).
		Got rid of unneeded boolean parameter

	* xlwExample/xlwExample.cpp:
		Fixed small memory leak

2002-06-05  jlecomte
	* xlwExample/xlwExample.cpp:
		Simplified Stats function to take advantage of AsDoubleVector

	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
		Added policy argument to AsDoubleVector and
		ConvertToDoubleVector. Defaults is to generate an error if the
		range is not 1d

2002-06-03  nando
	* Docs/pages/history.txt:
	* NEWS.TXT:
	* xlwExample/xlwExample.xls:
		added "what's changed"

2002-05-21  nando
	* xlw.nsi:
		removed Borland distribution

	* xlwExample/xlwExample.mak:
		makefile updated

2002-05-14  jlecomte
	* xlw/port.h:
		Fixed cvs $

	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
		Added (should be) throw free ConvertToDoubleVector. Updated
		logging to use std::cerr

	* xlw/XlfException.h:
		Changed doc

	* xlwExample/xlwExample.cpp:
		Updated logging to use std::cerr. Uses std::vector instead of
		double[]

	* xlw/XlfAbstractCmdDesc.cpp:
	* xlw/XlfArgDesc.cpp:
	* xlw/XlfCmdDesc.cpp:
	* xlw/XlfFuncDesc.cpp:
	* xlw/XlfRef.cpp:
	* xlw/macros.h:
	* xlwExample/Win32StreamBuf.cpp:
	* xlwExample/Win32StreamBuf.h:
	* xlwExample/Win32StreamBuf.inl:
		Updated logging to use std::cerr

	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
	* xlw/XlfExcel.inl:
		Made allocation engine more intelligent. Updated logging to use
		std::cerr and removed old logging methods (did not work)

	* xlw.dsp:
		Removed ERR_Macros.h

	* xlwExample/xlwExample.dsp:
		Added Win32StreamBuf

2002-05-13  nando
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
		added XlfOper.AsDoubleVector()

2002-05-12  jlecomte
	* xlw/XlfExcel.cpp:
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
		When buffer is full, don't throw any exception, sets lpxloper_
		to 0 instead. Changed other method to check for xloper_

	* xlw/XlfRef.h:
		Documention change

2002-05-11  jlecomte
	* xlwExample/xlwExample.cpp:
		Reverted to v.1.3 The FreeMemory calls should not be necessary

2002-05-07  jlecomte
	* xlw/XlfOper.cpp:
	* xlw/XlfRef.cpp:
	* xlw/XlfRef.h:
	* xlw/XlfRef.inl:
		Changed XlfRef implementation to handle ranges in external sheets

2002-05-05  jlecomte
	* xlw/XlfOper.cpp:
		Added XlfOper::ConvertToXXX (to be exception free)

	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
		Changed buffer default size to 65K. Moved xlret error handling
		to ThrowsOnCriticalError.

	* xlwExample/xlwExample.cpp:
		Added FreeMemory calls to allow many function registrations

	* xlw/XlfOper.h:
		Added (to be) exception free XlfOper::ConvertToXXX functions

2002-04-27  nando
	* TODO.txt:
	* TODO.txt:
	* TODO.txt:
	* dev_tools/version_number.txt:
	* xlw.mak:
	* xlwExample/xlwExample.cpp:
	* xlwExample/xlwExample.mak:
		added few notes

2002-04-21  nando
	* ChangeLog.txt:
		updated

2002-04-16  nando
	* ChangeLog.txt:
		updated

2002-04-15  nando
	* xlwExample/xlwExample.xls:
		typo fixed

	* lib/README.txt:
	* lib/Win32/Borland/dummy.txt:
	* lib/Win32/Mingw32/dummy.txt:
	* lib/Win32/README.txt:
	* lib/Win32/VisualStudio/README.txt:
	* lib/Win32/VisualStudio/dummy.txt:
	* lib/Win32/dummy.txt:
	* lib/dummy.txt:
	* xlwExample/xll/Win32/Borland/dummy.txt:
	* xlwExample/xll/Win32/VisualStudio/dummy.txt:
	* xlwExample/xll/Win32/dummy.txt:
	* xlwExample/xll/dummy.txt:
	* xlwExample/xlwExample-mingw32.mak:
		José Fonseca fixes for MINGW32

	* README.TXT:
		dummy commit

2002-04-14  nando
	* xlw-mingw32.mak:
	* xlwExample/xlwExample-mingw32.mak:
		Jose Fonseca fixes for MINGW32

	* Makefile:
	* Makefile-mingw32.mak:
	* xlw/XlfException.h:
		José Fonseca fixes for MINGW32

	* Makefile:
	* Makefile:
	* xlw-mingw32.mak:
	* xlw/config.mgw.h:
	* xlwExample/xlwExample-mingw32.mak:
		Jose Fonseca fixes for MINGW32\nthe config.mgw.h file is still missing

2002-04-13  nando
	* xlw/XlfOper.h:
		José Fonseca fixes for MINGW32

	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
	* xlw/XlfException.h:
		Jose Fonseca fixes for MINGW32

	* Contributors.txt:
	* TODO.txt:
		adding José Fonseca to the contributors list

	* xlw/XlfCmdDesc.cpp:
	* xlw/XlfOper.cpp:
		pruned redundant inclusions

	* xlw/port.h:
		Jose Fonseca fixes for MINGW32\nthe config.mgw.h file is still missing

2002-04-11  nando
	* dev_tools/releaseprocess.txt:
	* dev_tools/srcdist.bat:
		updated for new release

	* NEWS.TXT:
		updated old item

	* History.txt:
		history updated

	* dev_tools/releaseprocess.txt:
	* dev_tools/version_number.txt:
	* xlw/EXCEL32_API.h:
		fixed version number

	* History.txt:
	* NEWS.TXT:
	* xlw.nsi:
		R010100-branch-merge1 merged into trunk

	* ChangeLog.txt:
		updated

2002-04-09  nando
	* ChangeLog.txt:
		updated

2002-04-08  nando
	* Docs/xlw.doxy:
	* dev_tools/srcdist.bat:
	* dev_tools/version_number.txt:
	* xlw.nsi:
	* xlw/EXCEL32_API.h:
		getting ready for 1.1

	* Docs/xlw.doxy:
	* dev_tools/srcdist.bat:
	* dev_tools/version_number.txt:
	* xlw.nsi:
	* xlw/EXCEL32_API.h:
		version number updated

	* Docs/pages/faq.txt:
	* Docs/pages/history.txt:
	* Docs/pages/projects.txt:
	* Docs/pages/usage.txt:
		typos fixed

	* ChangeLog.txt:
	* ChangeLog.txt:
		updated

2002-03-28  nando
	* xlw.dsp:
	* xlw.mak:
	* xlw/EXCEL32_API.h:
	* xlw/makefile.mak:
	* xlwExample/makefile.mak:
	* xlwExample/xlwExample.dsp:
	* xlwExample/xlwExample.mak:
		reversed logic
		from XLW_NOIMPORTEXPORT to XLW_IMPORTEXPORT

	* xlw.dsp:
	* xlw.mak:
	* xlwExample/xlwExample.dsp:
	* xlwExample/xlwExample.mak:
		added browsing info to MS VC projects

2002-03-21  nando
	* xlw/makefile.mak:
		excel32 renamed xlw

	* xlw.mak:
	* xlwExample/xlwExample.mak:
		removed project dependencies: they make makefile not portable

	* xlw/makefile.mak:
	* xlwExample/makefile.mak:
		improved parametrization of debug trailing identifier in
		Borland makefiles

2002-03-20  nando
	* xlw/EXCEL32_API.h:
		version up to a2

	* xlw/makefile.mak:
		Borland fix: debug version has trailing d

2002-03-19  nando
	* xlwExample/xll/Win32/VisualStudio/dummy.txt:
	* xlwExample/xlwExample.dsp:
	* xlwExample/xlwExample.mak:
		dummy folder

	* xlw.nsi:
		tyo fixed

	* NEWS.TXT:
	* TODO.txt:
		updating

	* xlw.dsw:
	* xlw.mak:
	* xlwExample/xlwExample.dsp:
	* xlwExample/xlwExample.mak:
		removed dependencies

	* xlwExample/xlwExample.dsp:
	* xlwExample/xlwExample.mak:
		project setting fixed

	* Docs/xlw.doxy:
	* dev_tools/srcdist.bat:
	* dev_tools/srcdist.bat:
	* dev_tools/version_number.txt:
	* xlw.nsi:
	* xlw/EXCEL32_API.h:
		version up to a2

	* Docs/makefile.mak:
	* makefile.mak:
		docs makefile now includes hhc

	* xlw.nsi:
		added Borland support

	* Docs/makefile.mak:
		removed winhelp from the all target

	* xlw.nsi:
	* xlwExample/xll/Win32/dummy.txt:
	* xlwExample/xll/dummy.txt:
		dummy files

	* xlw.dsw:
	* xlwExample/xlwExample.mak:
		updated

2002-03-18  nando
	* xlw.mak:
	* xlw/makefile.mak:
		typo fixed

	* xlw/config.msvc.h:
		excel32 renamed xlw

	* xlwExample/xlwExample.mak:
		added missing makefile

	* Docs/makefile.mak:
		make it silent

2002-03-15  nando
	* lib/README.txt:
	* lib/Win32/Borland/dummy.txt:
	* lib/Win32/README.txt:
	* lib/Win32/VisualStudio/README.txt:
	* xlwExample/xll/Win32/Borland/dummy.txt:
		dummy README to avoid folder purging

	* Docs/xlw.doxy:
	* xlw.nsi:
		typo fixed

	* Docs/pages/index.txt:
	* Docs/pages/usage.txt:
	* NEWS.TXT:
	* excel32.dsp:
	* excel32.dsw:
	* excel32.mak:
	* xlw.dsp:
	* xlw.dsw:
	* xlw.mak:
	* xlw.nsi:
	* xlw/EXCEL32_API.h:
	* xlw/excel32.cpp:
	* xlw/excel32.h:
	* xlw/makefile.mak:
	* xlw/makefile.mak:
	* xlw/xlw.h:
	* xlwExample/makefile.mak:
	* xlwExample/xlwExample.cpp:
	* xlwExample/xlwExample.dsp:
		excel32 renamed xlw

	* xlw.nsi:
		do not distribute debug lib

	* xlw.nsi:
		package name lower case

	* Docs/pages/gettingStarted.txt:
	* Docs/pages/index.txt:
	* Docs/xlw.doxy:
	* TODO.txt:
	* excel32.dsw:
	* makefile.mak:
	* test/main.cpp:
	* test/makefile.mak:
	* test/test.dsp:
	* test/test.dsw:
	* test/test.mak:
	* test/test.xls:
	* xlw.nsi:
	* xlwExample/makefile.mak:
	* xlwExample/xlwExample.cpp:
	* xlwExample/xlwExample.dsp:
	* xlwExample/xlwExample.dsw:
	* xlwExample/xlwExample.xls:
		test renamed xlwExample

	* Docs/README.txt:
	* Docs/userman.tex:
		new docs

2002-03-14  nando
	* xlw/XlfOper.h:
	* xlw/excel32.h:
		pruned redundant inclusions

	* Docs/makefile.mak:
	* Docs/makefile.mak:
	* Docs/pages/copyright.txt:
	* Docs/pages/download.txt:
	* Docs/pages/excel32.txt:
	* Docs/pages/gettingStarted.txt:
	* Docs/pages/history.txt:
	* Docs/pages/index.txt:
	* Docs/pages/index.txt:
	* Docs/pages/install.txt:
	* Docs/pages/platforms.txt:
	* Docs/pages/projects.txt:
	* Docs/pages/usage.txt:
	* Docs/xlw.doxy:
	* Docs/xlwheader.tex:
	* TODO.txt:
		new docs

	* Docs/xlwheader.tex:
		trying the quantlib approach

	* xlw.nsi:
		bug fixed

	* ChangeLog.txt:
	* ChangeLog.txt:
	* Docs/xlw.doxy:
	* NEWS.TXT:
	* README.TXT:
	* TODO.txt:
	* TODO.txt:
	* test/test.dsp:
	* test/test.mak:
	* test/test.mak:
	* xlw.nsi:
		updated

	* xlw.nsi:
		correct version number

	* test/main.cpp:
		new license

	* Docs/pages/misc.txt:
		modified to have correct PDF output

	* Docs/pages/excel32.txt:
		dummy commit

	* Docs/pages/bibliography.txt:
		modified for correct PDF output

	* Docs/makefile.mak:
		removed useless target

	* dev_tools/srcdist.bat:
	* dev_tools/version_number.txt:
		working on source distribution

2002-03-13  nando
	* xlw.nsi:
		borland removed (for the time being)

2002-03-12  nando
	* Docs/pages/download.txt:
	* LICENSE.TXT:
	* xlw/ERR_Macros.h:
	* xlw/EXCEL32_API.h:
	* xlw/XlfAbstractCmdDesc.cpp:
	* xlw/XlfAbstractCmdDesc.h:
	* xlw/XlfAbstractCmdDesc.inl:
	* xlw/XlfArgDesc.cpp:
	* xlw/XlfArgDesc.h:
	* xlw/XlfArgDescList.cpp:
	* xlw/XlfArgDescList.h:
	* xlw/XlfCmdDesc.cpp:
	* xlw/XlfCmdDesc.h:
	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
	* xlw/XlfExcel.inl:
	* xlw/XlfException.cpp:
	* xlw/XlfException.h:
	* xlw/XlfException.inl:
	* xlw/XlfFuncDesc.cpp:
	* xlw/XlfFuncDesc.h:
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
	* xlw/XlfOper.inl:
	* xlw/XlfRef.cpp:
	* xlw/XlfRef.h:
	* xlw/XlfRef.inl:
	* xlw/config.bcc.h:
	* xlw/config.msvc.h:
	* xlw/excel32.cpp:
	* xlw/excel32.h:
	* xlw/macros.h:
	* xlw/port.h:
	* xlw/pragmas.h:
	* xlw/xlcall32.h:
		switched to verbatim BSD license

	* Docs/pages/excel32.txt:
		typo fixed

	* Docs/pages/download.txt:
	* Docs/pages/excel32.txt:
	* Docs/xlw.doxy:
	* NEWS.TXT:
	* dev_tools/backupcvstree.py:
	* dev_tools/branching_and_merging.txt:
	* dev_tools/checkin_test.py:
	* dev_tools/firewall.txt:
	* dev_tools/newdeveloperintro.txt:
	* dev_tools/version_number.txt:
	* dev_tools/version_number.txt:
		added developers' tools

2002-03-05  nando
	* ChangeLog.txt:
	* ChangeLog.txt:
		updated

2002-02-20  nando
	* Docs/makefile.mak:
	* Docs/xlw.doxy:
		upgraded t doxygen 1.2.14

2002-02-18  nando
	* test/main.cpp:
	* xlw/macros.h:
		added default catch (...) {}
		Temporary removed try/catch from xlAutoOpen()

2002-02-12  nando
	* Docs/makefile.mak:
	* Docs/pages/projects.txt:
	* TODO.txt:
	* excel32.dsp:
	* excel32.mak:
	* test/test.mak:
	* xlw/config.msvc.h:
		changed _d into d (degub version of the library)

2002-02-11  nando
	* Docs/makefile.mak:
	* makefile.mak:
	* test/makefile.mak:
	* xlw/makefile.mak:
		trying to make it work with Borland

2002-01-31  nando
	* NEWS.TXT:
	* TODO.txt:
	* test/makefile.mak:
	* xlw.nsi:
		added PDF and WinHelp documentation

	* Docs/pages/knownbugs.txt:
	* NEWS.TXT:
	* TODO.txt:
	* test/main.cpp:
	* test/makefile.mak:
	* test/test.dsp:
	* test/test.mak:
		borland test compiles

	* Docs/makefile.mak:
	* Docs/pages/excel32.txt:
	* Docs/xlw.doxy:
	* Docs/xlwfooter.html:
	* Docs/xlwfooteronline.html:
	* TODO.txt:
	* xlw/XlfCmdDesc.cpp:
	* xlw/XlfCmdDesc.h:
	* xlw/XlfExcel.cpp:
	* xlw/XlfOper.cpp:
		pruned redundant header inclusions

2002-01-29  nando
	* Authors.txt:
	* ChangeLog.txt:
	* Contributors.txt:
	* Docs/images/sfnetlogo.png:
	* Docs/makefile.mak:
	* Docs/pages/bibliography.txt:
	* Docs/pages/download.txt:
	* Docs/pages/download.txt:
	* Docs/pages/excel32.txt:
	* Docs/pages/faq.txt:
	* Docs/pages/gettingStarted.txt:
	* Docs/pages/knownbugs.txt:
	* Docs/pages/misc.txt:
	* Docs/xlw.doxy:
	* Docs/xlw.doxy:
	* Docs/xlw.doxy:
	* ERR_Macros.h:
	* EXCEL32_API.h:
	* History.txt:
	* History.txt:
	* LICENSE.TXT:
	* NEWS.TXT:
	* NEWS.TXT:
	* NEWS.TXT:
	* README.TXT:
	* README.TXT:
	* TODO.txt:
	* TODO.txt:
	* TODO.txt:
	* TODO.txt:
	* TODO.txt:
	* TODO.txt:
	* TODO.txt:
	* XlfAbstractCmdDesc.cpp:
	* XlfAbstractCmdDesc.h:
	* XlfAbstractCmdDesc.inl:
	* XlfArgDesc.cpp:
	* XlfArgDesc.h:
	* XlfArgDescList.cpp:
	* XlfArgDescList.h:
	* XlfCmdDesc.cpp:
	* XlfCmdDesc.h:
	* XlfExcel.cpp:
	* XlfExcel.h:
	* XlfExcel.inl:
	* XlfException.cpp:
	* XlfException.h:
	* XlfException.inl:
	* XlfFuncDesc.cpp:
	* XlfFuncDesc.h:
	* XlfOper.cpp:
	* XlfOper.h:
	* XlfOper.inl:
	* XlfRef.cpp:
	* XlfRef.h:
	* XlfRef.inl:
	* bibliography.txt:
	* download.txt:
	* doxygen.cfg:
	* excel32.cpp:
	* excel32.dsp:
	* excel32.dsp:
	* excel32.h:
	* excel32.mak:
	* excel32.mak:
	* excel32.mak:
	* excel32.txt:
	* faq.txt:
	* gettingStarted.txt:
	* knownbugs.txt:
	* macros.h:
	* main.cpp:
	* makefile.mak:
	* makefile.mak:
	* misc.txt:
	* port.h:
	* pragmas.h:
	* test/main.cpp:
	* test/main.cpp:
	* test/makefile.mak:
	* test/test.dsp:
	* test/test.dsp:
	* test/test.dsw:
	* test/test.mak:
	* test/test.mak:
	* test/test.mak:
	* test/test.xls:
	* test/test.xls:
	* xlcall32.h:
	* xlw.nsi:
	* xlw.nsi:
	* xlw.nsi:
	* xlw/ERR_Macros.h:
	* xlw/ERR_Macros.h:
	* xlw/EXCEL32_API.h:
	* xlw/EXCEL32_API.h:
	* xlw/XlfAbstractCmdDesc.cpp:
	* xlw/XlfAbstractCmdDesc.cpp:
	* xlw/XlfAbstractCmdDesc.h:
	* xlw/XlfAbstractCmdDesc.h:
	* xlw/XlfAbstractCmdDesc.inl:
	* xlw/XlfArgDesc.cpp:
	* xlw/XlfArgDesc.cpp:
	* xlw/XlfArgDesc.h:
	* xlw/XlfArgDesc.h:
	* xlw/XlfArgDescList.cpp:
	* xlw/XlfArgDescList.cpp:
	* xlw/XlfArgDescList.h:
	* xlw/XlfArgDescList.h:
	* xlw/XlfCmdDesc.cpp:
	* xlw/XlfCmdDesc.cpp:
	* xlw/XlfCmdDesc.h:
	* xlw/XlfCmdDesc.h:
	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.cpp:
	* xlw/XlfExcel.h:
	* xlw/XlfExcel.h:
	* xlw/XlfExcel.inl:
	* xlw/XlfExcel.inl:
	* xlw/XlfException.cpp:
	* xlw/XlfException.cpp:
	* xlw/XlfException.h:
	* xlw/XlfException.h:
	* xlw/XlfException.inl:
	* xlw/XlfException.inl:
	* xlw/XlfFuncDesc.cpp:
	* xlw/XlfFuncDesc.cpp:
	* xlw/XlfFuncDesc.h:
	* xlw/XlfFuncDesc.h:
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.cpp:
	* xlw/XlfOper.h:
	* xlw/XlfOper.h:
	* xlw/XlfOper.inl:
	* xlw/XlfOper.inl:
	* xlw/XlfRef.cpp:
	* xlw/XlfRef.cpp:
	* xlw/XlfRef.h:
	* xlw/XlfRef.h:
	* xlw/XlfRef.inl:
	* xlw/XlfRef.inl:
	* xlw/config.bcc.h:
	* xlw/config.bcc.h:
	* xlw/config.msvc.h:
	* xlw/config.msvc.h:
	* xlw/config.msvc.h:
	* xlw/excel32.cpp:
	* xlw/excel32.cpp:
	* xlw/excel32.h:
	* xlw/excel32.h:
	* xlw/macros.h:
	* xlw/macros.h:
	* xlw/makefile.mak:
	* xlw/makefile.mak:
	* xlw/port.h:
	* xlw/port.h:
	* xlw/pragmas.h:
	* xlw/pragmas.h:
	* xlw/xlcall32.h:
		project restructuring

	* ERR_Macros.h:
	* EXCEL32_API.h:
	* XlfAbstractCmdDesc.cpp:
	* XlfAbstractCmdDesc.h:
	* XlfAbstractCmdDesc.inl:
	* XlfArgDesc.cpp:
	* XlfArgDesc.h:
	* XlfArgDescList.cpp:
	* XlfArgDescList.h:
	* XlfCmdDesc.cpp:
	* XlfCmdDesc.h:
	* XlfExcel.cpp:
	* XlfExcel.h:
	* XlfExcel.inl:
	* XlfException.cpp:
	* XlfException.h:
	* XlfException.inl:
	* XlfFuncDesc.cpp:
	* XlfFuncDesc.h:
	* XlfOper.cpp:
	* XlfOper.h:
	* XlfOper.inl:
	* XlfRef.cpp:
	* XlfRef.h:
	* XlfRef.inl:
	* bibliography.txt:
	* download.txt:
	* doxygen.cfg:
	* excel32.cpp:
	* excel32.dsp:
	* excel32.dsw:
	* excel32.h:
	* excel32.txt:
	* faq.txt:
	* gettingStarted.txt:
	* knownbugs.txt:
	* macros.h:
	* main.cpp:
	* misc.txt:
	* port.h:
	* pragmas.h:
	* test/main.cpp:
	* test/test.dsp:
	* test/test.xls:
	* xlcall32.h:
		start

